<?php
defined('BASEPATH') OR exit('No direct script access allowed');
?>

<!-- Modal -->
<div id="EditProduct" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
    
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Produkt bearbeiten</h4>
      </div>
      <div class="modal-body">
        <form action="<?php echo base_url('index.php/product/updateproductbyid'); ?>" method="post" name="myform" id="myform">
        <input id="productid" name="productid" type="hidden" value=""/>
        <div class="form-group">
                <label for="productname">Produktname: </label>
                <input type="text" class="form-control" name="productname" id="productname" >
            </div>
            <div class="form-group">
                <label for="category">Kategorie: </label>
                <select class="form-control" name="category" id="category">
                    <?php foreach ($category_data as $row) {
                        echo "<option value='$row->categoryid'>$row->categoryname</option>'";
                    }
                    ?>
                </select>
            </div>
            <div class="form-group">
                <label for="expiredate">Ablaufdatum: </label>
                <input type="date" class="form-control" name="expiredate" id="expiredate" >
            </div>
            <div class="form-group">
                <label for="numberofproduct">Anzahl: </label>
                <input type="number" class="form-control" name="numberofproduct" id="numberofproduct">
            </div>
            <div class="form-group">
                <label for="unit">Einheit: </label>
                <select class="form-control" name="unit" id="unit">
                    <?php foreach ($unit_data as $row) {
                            echo "<option value='$row->unitid'>$row->unit</option>'";
                        }
                    ?>
                </select>
            </div>
            <button type="submit" class="btn btn-success" value="upload">Speichern</button>
        </form>
    </div>

      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Schliessen</button>
      </div>
    </div>

  </div>
</div>

<script>
    // Reference: https://torbjornzetterlund.com/passing-data-list-bootstrap-modal/
    $(document).ready(function () {
        $('body').on('click', '.product-id',function(){
            document.getElementById("productid").value = $(this).attr('data-id');
            console.log($(this).attr('data-id'));
            getProductById($(this).attr('data-id'));
        });
    });

    function getProductById(productid)
    {
        $.ajax({
                type : "GET",
                url : "<?php echo base_url('/index.php/ajax_controller/getproductbyid'); ?>",
                data: {productid: productid},
                dataType: 'json',
                success : function(response)
                {
                    console.log(response);
                    document.getElementById('productname').value = response[0].productname;
                    document.getElementById('expiredate').value = response[0].expiredate;
                    document.getElementById('numberofproduct').value = response[0].numberofproduct;
                    document.getElementById('unit').value = response[0].unit;
                    document.getElementById('category').value = response[0].category;
                },
                error : function(response)
                {
                    console.log("ERROR");
                    console.log(response);
                },
            }
        );
    }
</script>