<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Login extends CI_Controller {

	function __construct()
    {
		parent::__construct();
        $this->load->model('user_db');
        $this->load->library('session');
    }

    public function index()
    {
        //$this->user_db->createUser("rahel", password_hash("rahel", PASSWORD_BCRYPT));
        $this->load->view('login');
    }

    public function checklogin()
    {
        //$user_array = $this->user_db->getUser($this->input->get('username', true));
        $username_post = $this->input->post('username', true);
        $password_post = $this->input->post('password');

        $user_array = $this->user_db->getUser($username_post);

        if (empty($this->user_db->checkUsername($username_post))) 
        {
            echo "Kein Benutzername gefunden";
            // NEW SINCE 10.2018
            $this->session->sess_destroy();
            redirect('login/index?login_false'); 
        }

        elseif ($username_post == $user_array[0]->username && password_verify($password_post, $user_array[0]->password)) 
        {
            $session_data = array(
                    'username' =>  $user_array[0]->username,
                    'date' => '',
                    'loggedin' => true,
                    'userid' => $user_array[0]->memberid
            );
            //Set Session Array with data
            $this->session->set_userdata($session_data);
            //Update last login date in Member table
            $this->user_db->updateLastLoginDate($username_post);
            redirect('start/index?login_erfolgreich');
        }
        else
        {
            echo "Keinen Benutzer \"" . $username_post . "\" gefunden oder das Passwort ist nicht korrekt!";
            //echo "Password: " . password_hash("simon", PASSWORD_BCRYPT);
            // NEW SINCE 10.2018
            $this->session->sess_destroy();
            redirect('login/index?login_false'); 
        }
    }

    public function logout()
    {
        //$this->session->unset_userdata('loggedin');
        $this->session->sess_destroy();
        redirect('login/index?session_closed');
    }

    private function checkUser($username)
    {
        return $this->user_db->checkUsername($username);
    }



}