<?php
defined('BASEPATH') OR exit('No direct script access allowed');
?>

<div class="modal fade" id="add_product_barcode_modal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Produkt mit Barcode hinzufügen</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>

            <div class="modal-body">
                <?php echo form_open('settings/addBarcodeProduct');?>
                    <div class="form-group">
                        <label for="ean_13">EAN 13 Nummer</label>
                        <input type="text" class="form-control" id="ean_13" name="ean_13" placeholder="5901234123457">
                    </div>
                    <div class="form-group">
                        <label for="productname">Produktname</label>
                        <input type="text" class="form-control" id="productname" name="productname" placeholder="Chicken Nuggets">
                    </div>
                    <div class="form-group">
                        <label for="shelflifeindays">Haltbarkeit in Tage</label>
                        <input type="number" class="form-control" id="shelfLifeInDays" name="shelfLifeInDays" placeholder="180">
                    </div>
                    <div class="form-group">
                        <label for="input" class="control-label">Kategorie:</label>
                        <select name="category" id="category" class="form-control">
                            <?php foreach ($kategorien_array as $key => $category):?>
                            <option value="<?php echo $category->categoryid;?>"><?php echo $category->categoryname;?></option>
                            <?php endforeach;?>
                        </select>
                    </div>
                    <button type="submit" class="btn btn-success">Speichern</button>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
